<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title></title>
    </head>
    <body bgcolor="CECFFF">


<?php
        include("connect.php");
        $kapcsolat=connect();

$tmp=$_POST['regnev'];
$parancs="SELECT * FROM felhasznalok where azonosito='$tmp'";
$eredmeny = mysql_query($parancs,$kapcsolat) or die ( "Nem sikerült a módosítás: " .mysql_error() );
$sorok_szama = mysql_num_rows( $eredmeny );
$eszl=$_POST['eszlelesi_hely'];
$telep=$_POST['telepules'];
$kin=$_POST['kinezet'];
$_SESSION['kinezet']=$kin;
$j=mysql_fetch_row( $eredmeny );
$jelsz=$j[1];
$bemutatkozas=$_POST['bemutatkozas'];
$jelszohossz=strlen($_POST['regpassw1']);
$regnevhossz=strlen($_POST['regnev']);
$jelszo=$_POST['regpassw1'];

if( $_POST['regpassw1']==$_POST['regpassw2'] and $sorok_szama==1 and $telep!="" and $eszl!=0 and $_POST['regi_passw']==$jelsz and (($jelszo!="" and $jelszohossz>=4 and $jelszohossz<=18) or $jelszo=="" ) ){
$nev=$_POST['regnev'];
if($jelszo!=""){
$parancs="UPDATE felhasznalok SET loginjelszo='$jelszo' where azonosito='$nev'";
mysql_query( $parancs, $kapcsolat )
        or die ( "Nem sikerült a jelszó módosítása: " .mysql_error() );
}
$parancs="UPDATE felhasznalok SET telepules='$telep' where azonosito='$nev'";
mysql_query( $parancs, $kapcsolat )
        or die ( "Nem sikerült a település módosítása: " .mysql_error() );

$parancs="UPDATE felhasznalok SET eszlelohely='$eszl' where azonosito='$nev'";
mysql_query( $parancs, $kapcsolat )
        or die ( "Nem sikerült a jelszó módosítása: " .mysql_error() );

$parancs="UPDATE felhasznalok SET kinezet='$kin' where azonosito='$nev'";
mysql_query( $parancs, $kapcsolat )
        or die ( "Nem sikerült a kinézet módosítása: " .mysql_error() );

$parancs="UPDATE felhasznalok SET bemutatkozas='$bemutatkozas' where azonosito='$nev'";
mysql_query( $parancs, $kapcsolat )
        or die ( "Nem sikerült a bemutatkozás módosítása: " .mysql_error() );

?> Sikeres módosítás! <br><br>
<form action="tartalom.php" method="POST">
    <input type="submit" value="Tobább" />
</form>
<?php


}
else{
    if($_POST['regnev']=="") print "Nem adott meg felhasználónevet!<br>";
    if($_POST['regi_passw']=="") print "Nem adott meg jelszót! A módosítás véglegesítéséhez meg kell adnia a jelszót!<br>";
    if($_POST['regpassw1']!=$_POST['regpassw2']) print "Nem egyeznek a megadott jelszavak! A két beírt jelszónak egyeznie kell!<br>";
    if($_POST['regi_passw']!=$jelsz) print "Hibás jelszó!<br>";
    if($sorok_szama!=1) print "Hiba a felhasználók számában.<br>";
    if($telep=="") print "Nem adta meg a városa nevét!<br>";
    if($eszl==0) print "Nem választotta ki az időjárás megfigyelési helyét!<br>";
    //if($regnevhossz<4 or $regnevhossz>18) print "A felhasználónévnek minimum 4, maximum 18 karakter hosszúnak kell lennie!<br>";
    if($_POST['regpassw1']!="" and ($jelszohossz<4 or $jelszohossz>18)) print "A jelszónak minimum 4, maximum 18 karakter hosszúnak kell lennie!<br>";

?>
<br><br>

<form action="profil.php" method="POST">
    <input type="submit" value="Vissza" />
</form>


<?php }
mysql_close( $kapcsolat );
?>

    </body>
</html>
